import { IPaginator } from '..';
declare class Paginator implements IPaginator {
    perPage: number;
    currentPage: number;
    total: number;
    firstPage: number;
    constructor(data: Partial<IPaginator>);
    get isEmpty(): boolean;
    get hasTotal(): boolean;
    get hasMorePages(): boolean;
    get hasPages(): boolean;
    get lastPage(): number;
    get offset(): number;
}
declare class Paginate<T = unknown> {
    data: T[];
    meta: Paginator;
    constructor(data: T[], limit: number);
    page(page: number): this;
    get metaObject(): IPaginator;
    get all(): {
        data: T[];
        meta: IPaginator;
    };
}
export default Paginate;
