import { IRule } from '../interfaces';
declare class SearchEngine {
    private shouldHave;
    private mustHave;
    private initialData;
    constructor(collection: any[]);
    search(queries: IRule[]): any[];
    searchQuery(queries: IRule[]): this;
    private processShouldArraySearch;
    private processMustArraySearch;
    private filterData;
    private filterMustArrayData;
    private someDataIsValid;
    get all(): any[];
    paginate<T = unknown>(page: number, perPage?: number): {
        data: T[];
        meta: import("../interfaces").IPaginator;
    };
}
export default SearchEngine;
export * from '../interfaces';
